Bug 51736 - [PATCH] Upgrade net/poptop
[PATCH] Upgrade net/poptop
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
Depends on:
  Show dependency treegraph
Reported: 2003-05-04 00:20 UTC by fullermd
Modified: 2003-05-11 16:13 UTC (History)
0 users

See Also:

file.diff (330 bytes, patch)
2003-05-04 00:20 UTC, fullermd
no flags Details | Diff
file.diff (4.77 KB, patch)
2003-05-04 00:20 UTC, fullermd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fullermd 2003-05-04 00:20:11 UTC
    The version of poptop in ports is a version back, and is a version
    with a security hole in it.  Upgrades are good!

    This has been compile-tested, but not function-tested.

Fix: 1) cvs rm files/patch-af
2) cvs add files/patch-ae as:

3) Apply following patch to complete upgrade
Comment 1 fullermd 2003-05-10 02:09:50 UTC
(ttyp7):{1125}% ( cd /usr/ports/net/poptop && make -V MAINTAINER )

Can somebody take a look at this and see if we can shoehorn it in before
5.1?  Would be nice to have one less port with known security problems...

Matthew Fuller     (MF4839)   |  fullermd@over-yonder.net
Systems/Network Administrator |  http://www.over-yonder.net/~fullermd/
       "Klein bottle for sale ... inquire within."
Comment 2 petef freebsd_committer 2003-05-11 16:13:54 UTC
State Changed
From-To: open->closed

Committed, thanks.  I made the version number '1.1.4.b3' so it's legal.